Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 600862 - Xorg server crashes when certain popup dialog box is issued
Xorg server crashes when certain popup dialog box is issued
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
13
i686 Linux
low Severity high
: ---
: ---
Assigned To: Jérôme Glisse
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-06 07:44 EDT by Michal Ambroz
Modified: 2011-06-27 13:38 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 13:38:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
crash log 2 (62.74 KB, text/plain)
2010-06-06 07:45 EDT, Michal Ambroz
no flags Details
crash log 3 (57.52 KB, text/plain)
2010-06-06 07:46 EDT, Michal Ambroz
no flags Details
crash log (69.64 KB, text/plain)
2010-06-06 07:46 EDT, Michal Ambroz
no flags Details
screenshot-firefox.png (65.11 KB, image/png)
2010-06-06 07:47 EDT, Michal Ambroz
no flags Details
screenshot-firefox2.png (190.36 KB, image/png)
2010-06-06 07:49 EDT, Michal Ambroz
no flags Details

  None (edit)
Description Michal Ambroz 2010-06-06 07:44:09 EDT
Description of problem:
Hello, 
I have got issue with my Xorg server. If certain type of popup dialog box is triggered the Xorg server crashes with the segmentation fault error. I am not sure whether it is the server or ATI driver, but I would rather say the driver, because I am able to perform the action on machine with nvidia gpu.

Version-Release number of selected component (if applicable):
xorg-x11-drv-ati-6.13.0-1.fc13.i686
xorg-x11-server-common-1.8.0-12.fc13.i686
xorg-x11-server-Xorg-1.8.0-12.fc13.i686
xorg-x11-drivers-7.3-14.fc13.i686
firefox-3.6.3-4.fc13.i686
noscript 1.9.9.81
kernel-2.6.33.5-112.fc13.i686
glibc-2.12-1.i686

How reproducible:
I was able to trigger this error 5 times in a row 5 out of 5 tries = 100% reproducible.

Steps to Reproduce:
1. Login to GUI as normal user
2. Open firefox (with no-script addon installed)
3. Browse to site where scritps are not enabled yet - in my case for example www.stream.cz (something like czech youtube)
4. In the bottom of the screen message pops up that scripts are forbidden
   See screenshot-firefox.png
5. Click the "Options" button
  
Actual results:
Xorg crashes with this backtrace message in the errorlog.
Backtrace:
[136507.704] 0: /usr/bin/Xorg (xorg_backtrace+0x3c) [0x80e51dc]
[136507.704] 1: /usr/bin/Xorg (0x8047000+0x5e176) [0x80a5176]
[136507.704] 2: (vdso) (__kernel_rt_sigreturn+0x0) [0x69d40c]
[136507.704] 3: /lib/libc.so.6 (0xab1000+0x792c6) [0xb2a2c6]
[136507.704] Segmentation fault at address (nil)
[136507.704]
Fatal server error:
[136507.704] Caught signal 11 (Segmentation fault). Server aborting

Expected results:
Popup menu should be displayed as shows the screenshot from different machine.
Screenshot-firefox2.png

Additional info:
$ lspci |grep ATI
01:00.0 VGA compatible controller: ATI Technologies Inc RV350 [Mobility Radeon 9600 M10]
Comment 1 Michal Ambroz 2010-06-06 07:45:27 EDT
Created attachment 421580 [details]
crash log 2
Comment 2 Michal Ambroz 2010-06-06 07:46:06 EDT
Created attachment 421581 [details]
crash log 3
Comment 3 Michal Ambroz 2010-06-06 07:46:44 EDT
Created attachment 421583 [details]
crash log
Comment 4 Michal Ambroz 2010-06-06 07:47:26 EDT
Created attachment 421584 [details]
screenshot-firefox.png
Comment 5 Michal Ambroz 2010-06-06 07:49:34 EDT
Created attachment 421585 [details]
screenshot-firefox2.png

How it shuold look like. Screenshot taken on different box.
Comment 6 Adam Williamson 2010-06-07 09:57:53 EDT
-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 7 Bug Zapper 2011-06-02 07:51:29 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Michal Ambroz 2011-06-03 09:07:47 EDT
Unfortunately I am not able to try the same configuration again for new version of Fedora. Because of this problem I have changed hardware to something else.
Comment 9 Bug Zapper 2011-06-27 13:38:24 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.